package com.njzscloud.supervisory.dict.controller;

import com.njzscloud.supervisory.dict.pojo.SysDictItemEntity;
import com.njzscloud.supervisory.dict.service.SysDictItemService;
import lombok.extern.slf4j.Slf4j;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;
import com.njzscloud.common.core.utils.R;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;

import java.util.List;

/**
 * 字典条目表
 */
@Slf4j
@RestController
@RequestMapping("/sys_dict_item")
@RequiredArgsConstructor
public class SysDictItemController {

    private final SysDictItemService sysDictItemService;

    /**
     * 新增
     *
     * @param sysDictItemEntity 数据
     */
    @PostMapping("/add")
    public R<?> add(@RequestBody SysDictItemEntity sysDictItemEntity) {
        sysDictItemService.add(sysDictItemEntity);
        return R.success();
    }

    /**
     * 修改
     *
     * @param sysDictItemEntity 数据
     */
    @PostMapping("/modify")
    public R<?> modify(@RequestBody SysDictItemEntity sysDictItemEntity) {
        sysDictItemService.modify(sysDictItemEntity);
        return R.success();
    }

    /**
     * 删除
     *
     * @param ids Ids
     */
    @PostMapping("/del")
    public R<?> del(@RequestBody List<Long> ids) {
        sysDictItemService.del(ids);
        return R.success();
    }

    /**
     * 详情
     *
     * @param id Id
     * @return SysDictItemEntity 结果
     */
    @GetMapping("/detail")
    public R<SysDictItemEntity> detail(@RequestParam Long id) {
        return R.success(sysDictItemService.detail(id));
    }

    /**
     * 分页查询
     *
     * @param sysDictItemEntity 筛选条件
     * @param pageParam         分页参数
     * @return PageResult&lt;SysDictItemEntity&gt; 分页结果
     */
    @GetMapping("/paging")
    public R<PageResult<SysDictItemEntity>> paging(PageParam pageParam, SysDictItemEntity sysDictItemEntity) {
        return R.success(sysDictItemService.paging(pageParam, sysDictItemEntity));
    }

}
